// v_ailien.inc
// A phage T7 like ailien.
// Robert Fredriksson     1996-09-10

//#include "metals.inc"

#declare Icosahedron = 
 intersection 
  {plane {-z, 1 rotate <52.6625,    0, 0>}
   plane {-z, 1 rotate <52.6625,  -72, 0>}
   plane {-z, 1 rotate <52.6625, -144, 0>}
   plane {-z, 1 rotate <52.6625, -216, 0>}
   plane {-z, 1 rotate <52.6625, -288, 0>}
   
   plane {-z, 1 rotate <10.8125,    0, 0>}
   plane {-z, 1 rotate <10.8125,  -72, 0>}
   plane {-z, 1 rotate <10.8125, -144, 0>}
   plane {-z, 1 rotate <10.8125, -216, 0>}
   plane {-z, 1 rotate <10.8125, -288, 0>}
   
   plane {-z, 1 rotate <-52.6625,  -36, 0>}
   plane {-z, 1 rotate <-52.6625, -108, 0>}
   plane {-z, 1 rotate <-52.6625, -180, 0>}
   plane {-z, 1 rotate <-52.6625, -252, 0>}
   plane {-z, 1 rotate <-52.6625, -324, 0>}
   
   plane {-z, 1 rotate <-10.8125,  -36, 0>}
   plane {-z, 1 rotate <-10.8125, -108, 0>}
   plane {-z, 1 rotate <-10.8125, -180, 0>}
   plane {-z, 1 rotate <-10.8125, -252, 0>}
   plane {-z, 1 rotate <-10.8125, -324, 0>}
  }


#declare V_Leg = object{
   union{
      object{
         cylinder{
            <0.0, 0.0, 0.0>,<0.0, 1.0, 0.0>,0.04
         }
         rotate<0.0, 0.0, 60.0>
      }
      object{
         sphere{
            <0.0, 0.0, 0.0>,0.06
         }
         translate<-0.866, 0.50, 0.0>
     }
     object{
        cylinder{
           <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>,0.04
        }
        rotate<0.0, 0.0, -20.0>
        translate<-1.208, -0.5, 0.0>
     }
     object{
       sphere{
          <0.0, 0.0, 0.0>, 0.1
       }
       translate<-1.208, -0.5, 0.0>
     }
   }
   texture{
      pigment{
         color Gray30
      }
      finish{
        Dull
      }
   }   
   scale 2.0
}   
      
#declare V_Boddy = object{
   Icosahedron
   texture{
      pigment{
         color Black
      }
      finish{
         Dull
      }
   }
}

#declare V_Tail_Part = object{
   torus{
      0.3
      0.12
   }
}

#declare V_Tail = union{
   object{
      V_Tail_Part
      translate<0.0, 0.0, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.15, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.30, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.45, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.60, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.75, 0.0>
   }
   object{
      V_Tail_Part
      translate<0.0, 0.90, 0.0>
   }
}

#declare V_Ailien = union{
   object{
      V_Boddy
   }
   object{
      V_Tail
      texture{
         pigment{
            color Gray30
         }
         finish{
           Dull
         }
      }
      translate<0.0, -2.0, 0.0>
   }
   object{
      V_Leg
      rotate<0.0, 0.0, 0.0>
      translate<-0.25, -1.8, 0.0> 
   }   
   object{
      V_Leg
      rotate<0.0, 30.0, 0.0>
      translate<-0.25, -1.8, 0.0> 
   }   
   object{
      V_Leg
      rotate<0.0, -30.0, 0.0>
      translate<-0.25, -1.8, 0.0> 
   }   
   object{
      V_Leg
      rotate<0.0, 180.0, 0.0>
      translate<0.25, -1.8, 0.0> 
   }   
   object{
      V_Leg
      rotate<0.0, 150.0, 0.0>
      translate<0.25, -1.8, 0.0> 
   }   
   object{
      V_Leg
      rotate<0.0, 210.0, 0.0>
      translate<0.25, -1.8, 0.0> 
   }   
}





       
